"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * LogUtil
 */
class LogUtil {
    static init() {
        if (typeof (window) === "undefined") {
            // tslint:disable-next-line:no-eval
            const config = eval("require")("config");
            // tslint:disable-next-line:no-eval
            const log4js = eval("require")("log4js");
            log4js.configure(config.get("log4js"));
            this.LOGGER = log4js.getLogger();
        }
    }
    static getLogger() {
        if (typeof (window) === "undefined") {
            return this.LOGGER;
        }
        else {
            return console;
        }
    }
    static trace(message, ...args) {
        if (typeof (window) === "undefined") {
            this.LOGGER.trace(message, args);
        }
        else {
            if (0 < args.length) {
                console.trace(message, args);
            }
            else {
                console.trace(message);
            }
        }
    }
    static debug(message, ...args) {
        if (typeof (window) === "undefined") {
            this.LOGGER.debug(message, args);
        }
        else {
            if (0 < args.length) {
                console.debug(message, args);
            }
            else {
                console.debug(message);
            }
        }
    }
    static info(message, ...args) {
        if (typeof (window) === "undefined") {
            this.LOGGER.info(message, args);
        }
        else {
            if (0 < args.length) {
                console.info(message, args);
            }
            else {
                console.info(message);
            }
        }
    }
    static warn(message, ...args) {
        if (typeof (window) === "undefined") {
            this.LOGGER.warn(message, args);
        }
        else {
            if (0 < args.length) {
                console.warn(message, args);
            }
            else {
                console.warn(message);
            }
        }
    }
    static error(message, ...args) {
        if (typeof (window) === "undefined") {
            this.LOGGER.error(message, args);
        }
        else {
            if (0 < args.length) {
                console.error(message, args);
            }
            else {
                console.error(message);
            }
        }
    }
    static fatal(message, ...args) {
        if (typeof (window) === "undefined") {
            this.LOGGER.fatal(message, args);
        }
        else {
            LogUtil.error(message, args);
        }
    }
}
exports.default = LogUtil;
LogUtil.init();
//# sourceMappingURL=LogUtil.js.map